[SciPy-User] Pylab - standard packages

Thomas Kluyver takowl@gmail....
Sun Sep 23 14:18:15 CDT 2012


On 23 September 2012 20:00, Nathaniel Smith <njs@pobox.com> wrote:
> The ipython/spyder incompatibility
> means that right now, putting ipython notebooks in the spec would rule
> out spyder and Python(x,y).

To elaborate on this: I'm not aiming to specifically exclude any
distribution, but I'm also not aiming to specifically *include* any
distribution, nor to include all scientific Python distributions. If
we think that a certain distribution is missing things that should be
part of the standard, we shouldn't relax the standard to accept that.
At present, for example, EPD Free will not meet the draft standard.

Whether or not we specify the IPython notebook, we will almost
certainly specify a version of IPython that *can* run the notebook. We
will work with Spyder and Python(x,y) to get a newer version of
IPython in, but the current version of Python(x,y) would not meet the
specified version of IPython either way. As you mentioned, there's no
value in suggesting people do only what they already are.

Thanks,
Thomas


More information about the SciPy-User mailing list